#ifndef __QUESTION_H__
#define __QUESTION_H__

#include "packet.h"

typedef struct {
	char qname[256];
	
	int qtype;
	int qklass;
} DNSQuestion;

DNSQuestion * dns_question_create (const char *name, int type, int klass);
void dns_question_pack_data (DNSQuestion *question, DNSPacket *packet);
void dns_question_free (DNSQuestion *question);
int dns_question_parse_question_from_packet (DNSPacket *packet);

#endif /* __QUESTION_H__ */
